PathImplementor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria
Interface PathImplementor<X>

All Superinterfaces:
  Expression<X>, ExpressionImplementor<X>, Path<X>, PathSource<X>, Renderable, Selection<X>, SelectionImplementor<X>, TupleElement<X>, TupleElementImplementor<X>

All Known Subinterfaces:
  CollectionJoinImplementor<Z,X>, FromImplementor<Z,X>, JoinImplementor<Z,X>, ListJoinImplementor<Z,X>, MapJoinImplementor<Z,K,V>, SetJoinImplementor<Z,X>

All Known Implementing Classes:
  AbstractFromImpl, AbstractJoinImpl, AbstractPathImpl, CollectionAttributeJoin, ListAttributeJoin, MapAttributeJoin, MapKeyHelpers.MapKeyPath, MapKeyHelpers.MapKeySource, PluralAttributeJoinSupport, PluralAttributePath, RootImpl, SetAttributeJoin, SingularAttributeJoin, SingularAttributePath

    public interface PathImplementor<X>

extends ExpressionImplementor<X>, Path<X>, PathSource<X>, Renderable

Implementation contract for the JPA `Path` interface.

Method Summary
`Attribute<?,?>` | `getAttribute()` Retrieve reference to the attribute this path represents.

Methods inherited from interface org.hibernate.ejb.criteria.ExpressionImplementor
`asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Methods inherited from interface org.hibernate.ejb.criteria.Renderable
`render, renderProjection`

Methods inherited from interface org.hibernate.ejb.criteria.PathSource
`getPathIdentifier, prepareAlias`

Methods inherited from interface javax.persistence.criteria.Path
`get, get, get, get, getModel, getParentPath, type`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Method Detail

### getAttribute

    Attribute<?,?> getAttribute()

  Retrieve reference to the attribute this path represents.

  Returns:
    The metamodel attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.